List workstreams for a project
curl --request GET \
--url https://openlens.com/api/workstreams \
--header 'Authorization: Bearer <token>'import requests
url = "https://openlens.com/api/workstreams"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://openlens.com/api/workstreams', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"workstreams": [
{
"workstream": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"topicIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attributes": [
"<string>"
],
"archivedAt": "2023-11-07T05:31:56Z",
"currentGoal": {
"effectiveFrom": "2023-11-07T05:31:56Z",
"goalText": "<string>",
"targetVisibility": 50,
"targetDeadline": "2023-12-25"
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
},
"currentVisibility": 123,
"deltaPts": 123,
"windowDays": 123,
"sparkline": [
{
"date": "2023-12-25",
"visibility": 123
}
],
"progressPct": 123,
"daysToDeadline": 123
}
]
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}{
"error": "<string>",
"code": "<string>"
}Workstreams
List workstreams for a project
GET
/
workstreams
List workstreams for a project
Authorizations
Clerk API key. Create one from your account settings under API Keys.
Query Parameters
Project id. Required on all data endpoints.
Response
Successful response
Show child attributes
Show child attributes
Was this page helpful?
⌘I